You are here

CQRLOG and libmysql

3 posts / 0 new
Last post
AD0IU
AD0IU's picture
CQRLOG and libmysql

Hello:

I recently updated my Raspberry Pi software to
PRETTY_NAME="Ubuntu 21.10"
NAME="Ubuntu"
VERSION_ID="21.10"
VERSION="21.10 (Impish Indri)"
VERSION_CODENAME=impish

I pulled the GIT version of CQRLOG and am attempting to run
Cqrlog Ver:2.5.2 (001) Date:2021-11-12

I'm receiving an error that cqrlog cannot connect to the database because it cannot find the default MySQL library libmysqlclient.so.20. or libmysqlclient.so
I checked and this version of Ubuntu is running libmysqlclient.so.21.

Can I make cqrlog run with this version by deleting the 21, leaving libmysqlclient.so, without breaking anything else?
Or can I create a link somewhere?
Or is there a portion of the raw code I can edit to change the version cqrlog is looking for and then make, make-install?

I did a bit of searching in the forums but was unsuccessful finding a cure.

Cheers,
Rob
AD0IU

oh1kh
CQRLOG and libmysql

Hi Rob!

Do you have package libmariadb-dev-compat installed?

Read this thread through https://www.cqrlog.com/node/2984 looks a bit similar case.

--
Saku
OH1KH

AD0IU
AD0IU's picture
[SOLVED] CQRLOG and libmysql.so not found

Saku, that did the trick!

libmariadb-dev-compat was not installed. So I installed it and libmariadb-dev.
Everything works now.

Thank you very much for your help.

Rob
AD0IU

Rob
AD0IU